slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurSetLocking

Choose between locking and non-locking variants of the Krylov-Schur method.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetLocking(EPS eps,PetscBool lock)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| lock | - true if the locking variant must be selected

### Options Database Key

| -eps_krylovschur_locking | - Sets the locking flag

### Notes

The default is to lock converged eigenpairs when the method restarts. This behaviour can be changed so that all directions are kept in the working subspace even if already converged to working accuracy (the non-locking variant).

### See Also

EPSKrylovSchurGetLocking()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages